
// File PDHDR

// Header file for generalised BCPL parameter decoding routines


// Parameter decoder globals

GLOBAL $(
PARAMDECODE     : PAR.DEC.BASE+0
MATCHSTRINGS    : PAR.DEC.BASE+1
STRTONUM        : PAR.DEC.BASE+2
$)

// Parameter decoder error codes
 
MANIFEST $(
PAR.OK  =  0     // No errors
PAR.ERR = -320   // Format error
PAR.AMB = -321   // Ambiguous keyword
PAR.UNK = -322   // Unknown keyword
PAR.XS  = -323   // Too many parameters
PAR.DUP = -324   // Duplicated parameter
PAR.MIS = -325   // Missing keyword
PAR.ILL = -326   // Illegal value for & parameter (for user program)
$)
 
// End of file PDHDR

